#include <array>
#include <stdio.h>

int main(int argc, int argv[]){
	std::array<int, 4> ar = {1, 4, 9, 16};
	for (int i = 0; i < ar.size(); i++){
		printf("%d %d\n", i, ar[i]);
	}
	return 0;
}
// std_tr1__array__array_size.cpp 
// compile with: /EHsc 
#include <array> 
#include <iostream> 
 